GuideLab Docs

Issue the statement of a completed order, or get the issued one

Idempotent for the lab and the order's clinic: an issued statement is returned unchanged. Its variant and language follow the clinic's country, state and postcode. Only lab managers may choose another statement type or language, or regenerate the statement from the lab's template and the order as it is now.

POST
/orders/{id}/conformity-statement

Idempotent for the lab and the order's clinic: an issued statement is returned unchanged. Its variant and language follow the clinic's country, state and postcode. Only lab managers may choose another statement type or language, or regenerate the statement from the lab's template and the order as it is now.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Order ID

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/orders/550e8400-e29b-41d4-a716-446655440000/conformity-statement" \  -H "Content-Type: application/json" \  -d '{}'
{  "documentId": "string",  "typeKey": "annex_xiii_statement",  "title": "string",  "revision": {    "number": 1,    "source": "generated",    "language": "en",    "templateVersion": 1,    "note": "string",    "createdAt": "string",    "createdByName": "string",    "issuedOn": "string",    "expiresOn": "string",    "file": {      "name": "string",      "contentType": "string",      "sizeBytes": 0    },    "content": {      "version": 1,      "doc": {        "type": "doc",        "attrs": {          "property1": null,          "property2": null        },        "content": [          {            "type": "doc",            "attrs": {              "property1": null,              "property2": null            },            "content": [],            "text": "string",            "marks": [              {                "type": "bold"              }            ]          }        ],        "text": "string",        "marks": [          {            "type": "bold"          }        ]      }    }  },  "stale": true}
{  "documentId": "string",  "typeKey": "annex_xiii_statement",  "title": "string",  "revision": {    "number": 1,    "source": "generated",    "language": "en",    "templateVersion": 1,    "note": "string",    "createdAt": "string",    "createdByName": "string",    "issuedOn": "string",    "expiresOn": "string",    "file": {      "name": "string",      "contentType": "string",      "sizeBytes": 0    },    "content": {      "version": 1,      "doc": {        "type": "doc",        "attrs": {          "property1": null,          "property2": null        },        "content": [          {            "type": "doc",            "attrs": {              "property1": null,              "property2": null            },            "content": [],            "text": "string",            "marks": [              {                "type": "bold"              }            ]          }        ],        "text": "string",        "marks": [          {            "type": "bold"          }        ]      }    }  },  "stale": true}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}